Bug 1260550 - virt-who is not installed by default, the Group value is Unspecified in rpm spec file
virt-who is not installed by default, the Group value is Unspecified in rpm s...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who (Show other bugs)
7.2
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Radek Novacek
xingge
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 04:45 EDT by Eko
Modified: 2016-11-30 19:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 04:20:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eko 2015-09-07 04:45:37 EDT
Description of problem:
after rhel7.2 installed, virt-who is not found in the system, need to install it by manual.

Version-Release number of selected component (if applicable):
virt-who-0.14-7.el7.noarch
python-rhsm-1.15.4-4.el7.x86_64
subscription-manager-1.15.9-7.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. install RHEL-7.2-20150904.0, select "server with GUI" option

2. after install, check virt-who package
no package found

3. config yum repo and install virt-who by manual, check virt-who package info
# rpm -qi virt-who
Name        : virt-who
Version     : 0.14
Release     : 7.el7
Architecture: noarch
Install Date: Mon 07 Sep 2015 04:13:02 PM CST
Group       : Unspecified
Size        : 484546
License     : GPLv2+
Signature   : RSA/SHA256, Tue 01 Sep 2015 11:56:13 PM CST, Key ID 938a80caf21541eb
Source RPM  : virt-who-0.14-7.el7.src.rpm
Build Date  : Tue 01 Sep 2015 06:34:11 PM CST
Build Host  : ppc-015.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://fedorahosted.org/virt-who/
Summary     : Agent for reporting virtual guest IDs to subscription-manager
Description :
Agent that collects information about virtual guests present in the system and
report them to the subscription manager.

======= the Group value is Unspecified========

Actual results:
virt-who is not installed by default, no group info in spec file

Expected results:
virt-who should be installed default, the group info should be "System Environment/Base"

Additional info:
Comment 2 Radek Novacek 2015-09-08 03:51:02 EDT
I don't think virt-who should be installed by default. Most of the RHEL installations don't need virt-who and installing it by default would be waste of space. It is simple enough to install it when needed.

The Group tag in the rpm package is deprecated from Fedora 17. RHEL-7 is based on Fedora 18 so the Group tag is not needed anymore.
Comment 3 Radek Novacek 2015-09-09 04:20:31 EDT
We agreed on the meeting that this bug should be closed (see comment #2).

Note You need to log in before you can comment on or make changes to this bug.